Status List Signers
Create a Status List Signer
Uses an existing IACA to sign a status list signer (intermediate certificate) that can be used to sign status list tokens.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of three Status List Signers can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
iacaId*stringInternal identifier of the IACA used to sign this status list signer:
- Must be the same IACA used to sign credentials that are included in a status list signed by this status list signer.
- Must be an unmanaged (external) IACA.
uuidStatus list signer created
application/json- response
id*stringUnique identifier for this status list.
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists. Status list signers can only be set to active after a valid certificate is provided.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the status list signer with the resulting certificate.
curl -X POST 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers' \ -H 'Content-Type: application/json' \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}Revoke a Status List Signer
Revokes an existing status list signer, making it unusable for signing new status lists.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked status list signers and any status list they signed as untrusted.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListSignerId*stringStatus list signer identifier
uuidapplication/json- body
Empty request body for status list signer revocation
Status list signer revoked
application/json- response
revoked*booleanIndicates whether this status list signer has been revoked
revocationDate*stringTimestamp in ISO 8601 format (UTC) indicating when this status list signer was revoked
curl -X POST 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke' \ -H 'Content-Type: application/json' \ -d '{}'{ "revoked": true, "revocationDate": "2025-10-31T23:59:59Z"}Retrieve all Status List Signers
Retrieves all existing status list signers.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>Status list signers retrieved
application/json- response
data?array<|>curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----" } ]}Retrieve a Status List Signer
Retrieves an existing status list signer.
Status list signer operations are only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListSignerId*stringStatus list identifier
uuidStatus list signer retrieved
application/json- response
id*stringUnique identifier for this status list.
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists. Status list signers can only be set to active after a valid certificate is provided.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the status list signer with the resulting certificate.
curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": false, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}Update a Status List Signer
Updates the status of an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListSignerId*stringStatus list identifier
uuidapplication/json- body
active?booleanStatus list signer status. Must be set to true for this status list signer to be available for signing status lists.
certificatePem?stringStatus list signer certificate in PEM format. The certificate must be:
- Valid
- Not expired
- Compliant with the details provided in the Certificate Signing Request returned when the status list signer was created
Status list signer updated
application/json- response
id*stringUnique identifier for this status list.
uuidiacaId*stringIdentifies the IACA used to sign this status list signer.
uuidactive*booleanIndicates whether or not this signer can currently be used to sign status lists.
certificatePem*stringStatus list signer certificate in PEM format. This will match the PEM referenced in the status list token.
certificateFingerprint*stringcertificateData*Metadata about the status list signer certificate.
curl -X PUT 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "certificatePem": "string", "certificateFingerprint": "475DA948E4BA44D9B5BC31AB4B8006113FD5F538", "certificateData": { "notBefore": "2019-08-24T14:15:22Z", "notAfter": "2019-08-24T14:15:22Z", "country": "string", "commonName": "string", "stateOrProvinceName": "string", "organisationName": "string" }}Delete a Status List Signer
Deletes an existing status list signer.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListSignerId*stringStatus list identifier
uuidNo Content
curl -X DELETE 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-list-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08'How would you rate this page?
Last updated on